# parsl.monitoring.radios.htex.HTEXRadio

class parsl.monitoring.radios.htex.HTEXRadio
  __init__()

  Methods

  `__init__`() |
  `create_receiver`(*, run_dir, resource_msgs) | Create a receiver for this RadioConfig, and update this RadioConfig with enough context to create senders.
  `create_sender`() | Create a sender to connect to the receiver created by an earlier call to create_receiver.

  create_receiver(*, run_dir: str, resource_msgs: Queue) → MonitoringRadioReceiver

    Create a receiver for this RadioConfig, and update this RadioConfig with enough context to create senders.

  create_sender() → MonitoringRadioSender

    Create a sender to connect to the receiver created by an earlier call to create_receiver.